# NORRIS-fs - a toolkit for manipulating file systems

NORRIS-fs is a toolkit to augment the current node's `fs` module, providing a set of useful methods like `walk()` that recursively walks a root path.

# Install

    npm install norris-fs

# Usage

NORRIS-fs contains a bunch of file system utilities:

## walk(_basepath_, _callback(err, files)_)

Recursively walks a base directory (does not follow symlinks) and returns a list of JS files found in that directory.
    
**Example**

    var nfs = require('norris-fs').make(); // don't forget the make()!

    nfs.walk('/some/directory', function onWalk(err, files) {
        /**
        The argument "files" should contain all JS files in your dir specified
        by the "basepath" argument. It will ignore:

        1.  Directories starting with a dot "."
        2.  Files not ending with .js
        **/

        console.log(files);
    });
